package com.loafle.overflow.meta.dao;

import com.loafle.overflow.AppConfig;
import com.loafle.overflow.JdbcConfiguration;
import com.loafle.overflow.meta.model.MetaInputType;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by root on 17. 6. 25.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class MetaInputTypeDAOTest {


    @Autowired
    private MetaInputTypeDAO metaInputTypeDAO;

    @Ignore
    @Test
    public void create() {

        MetaInputType typeText = new MetaInputType();
        typeText.setName("TEXT_TYPE");
        typeText.setDescription("TEXT");

        MetaInputType typePW = new MetaInputType();
        typePW.setName("PASSWORD_TYPE");
        typePW.setDescription("PASSWORD");

        MetaInputType typeNumber = new MetaInputType();
        typeNumber.setName("NUMBER_TYPE");
        typeNumber.setDescription("NUMBER");

        MetaInputType typeBool = new MetaInputType();
        typeBool.setName("BOOLEAN_TYPE");
        typeBool.setDescription("BOOLEAN");

        MetaInputType typeSelect = new MetaInputType();
        typeSelect.setName("SELECT_TYPE");
        typeSelect.setDescription("SELECT");

        List<MetaInputType> metaInputTypes = new ArrayList<>();

        metaInputTypes.add(typeText);
        metaInputTypes.add(typePW);
        metaInputTypes.add(typeNumber);
        metaInputTypes.add(typeBool);
        metaInputTypes.add(typeSelect);


        for(int indexI = 1; indexI <= metaInputTypes.size(); ++indexI) {
            MetaInputType type = metaInputTypes.get(indexI-1);
            type.setId((short)indexI);
            this.metaInputTypeDAO.save(type);
        }

    }

}