package com.loafle.overflow.meta.dao;

import com.loafle.overflow.AppConfig;
import com.loafle.overflow.JdbcConfiguration;
import com.loafle.overflow.meta.model.MetaCrawler;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by root on 17. 6. 25.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class MetaCrawlerDAOTest {

    @Autowired
    private MetaCrawlerDAO metaCrawlerDAO;



    @Ignore
    @Test
    public void Create() {

        List<MetaCrawler>  metaCrawlerList = new ArrayList<>();

        MetaCrawler crawMWI = new MetaCrawler();
        crawMWI.setName("WMI_CRAWLER");
        crawMWI.setDescription("WMI");

        MetaCrawler crawlerSNMPV2 = new MetaCrawler();
        crawlerSNMPV2.setName("SNMP_V2_CRAWLER");
        crawlerSNMPV2.setDescription("SNMPV2");

        MetaCrawler crawlerSNMPV3 = new MetaCrawler();
        crawlerSNMPV3.setName("SNMP_V3_CRAWLER");
        crawlerSNMPV3.setDescription("SNMPV3");

        MetaCrawler crawlerMySQL = new MetaCrawler();
        crawlerMySQL.setName("MYSQL_CRAWLER");
        crawlerMySQL.setDescription("MYSQL");

        metaCrawlerList.add(crawMWI);
        metaCrawlerList.add(crawlerSNMPV2);
        metaCrawlerList.add(crawlerSNMPV3);
        metaCrawlerList.add(crawlerMySQL);



        for(int indexI = 0 ; indexI< metaCrawlerList.size();++indexI) {
            MetaCrawler crawler = metaCrawlerList.get(indexI);
            crawler.setId((short)(indexI + 1));
            this.metaCrawlerDAO.save(crawler);

        }

    }

}