package com.loafle.overflow.meta.dao;

import com.loafle.overflow.AppConfig;
import com.loafle.overflow.JdbcConfiguration;
import com.loafle.overflow.meta.model.MetaProbeArchitecture;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by root on 17. 6. 25.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class MetaProbeArchitectureDAOTest {

    @Autowired
    private MetaProbeArchitectureDAO metaProbeArchitectureDAO;

    @Ignore
    @Test
    public void Create() {


        MetaProbeArchitecture ax8632 = new MetaProbeArchitecture();
        ax8632.setArchitecture("x86-32bit");

        MetaProbeArchitecture ax8664 = new MetaProbeArchitecture();
        ax8632.setArchitecture("x86-64bit");


        List<MetaProbeArchitecture> list = new ArrayList<>();
        list.add(ax8632);
        list.add(ax8664);

        for(int indexI =1; indexI<= list.size(); ++indexI) {
            MetaProbeArchitecture architecture = list.get(indexI-1);
            architecture.setId((short)indexI);
            this.metaProbeArchitectureDAO.save(architecture);
        }

    }

}