package com.loafle.overflow.meta.dao;

import com.loafle.overflow.AppConfig;
import com.loafle.overflow.JdbcConfiguration;
import com.loafle.overflow.meta.model.MetaProbeOs;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by root on 17. 6. 25.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class MetaProbeOsDAOTest {

    @Autowired
    private MetaProbeOsDAO metaProbeOsDAO;

    @Ignore
    @Test
    public void Create() {

        MetaProbeOs metaWindows = new MetaProbeOs();
        metaWindows.setName("Windows");

        MetaProbeOs metaDebian = new MetaProbeOs();
        metaDebian.setName("Debian");

        MetaProbeOs metaUbuntu = new MetaProbeOs();
        metaUbuntu.setName("Ubuntu");

        MetaProbeOs metaFedora = new MetaProbeOs();
        metaFedora.setName("Fedora");

        List<MetaProbeOs> probeOs = new ArrayList<>();

        probeOs.add(metaWindows);
        probeOs.add(metaDebian);
        probeOs.add(metaUbuntu);
        probeOs.add(metaFedora);



        for (int indexIO = 1; indexIO <= probeOs.size(); ++indexIO) {

            MetaProbeOs os = probeOs.get(indexIO -1);
            os.setId((short)indexIO);

            this.metaProbeOsDAO.save(os);
        }


    }

}