package com.loafle.overflow.meta.dao;

import com.loafle.overflow.AppConfig;
import com.loafle.overflow.JdbcConfiguration;
import com.loafle.overflow.meta.model.MetaProbeVersion;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by root on 17. 6. 25.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class MetaProbeVersionDAOTest {

    @Autowired
    private MetaProbeVersionDAO metaProbeVersionDAO;

    @Ignore
    @Test
    public void Create() {

        MetaProbeVersion version100 = new MetaProbeVersion();
        version100.setVersion("1.0.0");


        MetaProbeVersion version110 = new MetaProbeVersion();
        version110.setVersion("1.1.0");


        List<MetaProbeVersion> list = new ArrayList<>();

        list.add(version100);
        list.add(version110);


        for(int indexI = 1; indexI <= list.size() ;++indexI) {
            MetaProbeVersion version = list.get(indexI - 1);
            version.setId((short)indexI);

            this.metaProbeVersionDAO.save(version);
        }

    }

}