package com.loafle.overflow.module.domain.dao;

import com.loafle.overflow.AppConfig;
import com.loafle.overflow.JdbcConfiguration;
import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.domain.model.DomainMember;
import com.loafle.overflow.module.member.model.Member;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by root on 17. 6. 23.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class DomainMemberDAOTest {

    @Autowired
    private DomainMemberDAO repo;

    @Test
    public void testCreate() {
        DomainMember domainMember = new DomainMember();
        domainMember.setDomain(new Domain(1));
        domainMember.setMember(new Member(1));

        repo.save(domainMember);
    }

}